#!/usr/bin/env ruby

require 'socket'
require 'pathname'
require 'mongrel2'
require 'mongrel2/config'

server 'cms-demo' do
    name 'Strelka CMS Demo'

	chroot '.'

    access_log '/logs/access.log'
    error_log  '/logs/error.log'
    pid_file '/run/mongrel2.pid'

	port 8080

    default_host 'localhost'

    host 'localhost' do
		route '/stylesheets/(.)', directory( 'public/stylesheets/' )
		route '/javascripts/(.)', directory( 'public/javascripts/' )
		route '/images/(.)', directory( 'public/images/' )

		route '/feed', handler( 'tcp://127.0.0.1:9946', 'content-feeds' )
		route '/', handler( 'tcp://127.0.0.1:9948', 'content-manager' )
	end

end

mkdir_p 'logs'
mkdir_p 'run'

