# -*- ruby -*-
#encoding: utf-8

require 'loggability'
require 'configurability'
require 'strelka'


# Toplevel namespace of the Strelka CMS class library
module Strelka::CMS
	extend Loggability,
	       Configurability

	# Loggability API -- set up a logger that will serve DevEiate libraries
	log_as :strelka_cms

	# Configurability API -- get configuration values from the 'cms' section of the config
	config_key :cms


	# Version string
	VERSION = '0.3.0'

	# Version-control revision constant
	REVISION = %q$Revision: e9f738cb50e0 $


	require 'strelka/cms/page'
	require 'strelka/cms/pagefilter'
	require 'strelka/cms/pagecatalog'


	### Get the library version. If +include_buildnum+ is true, the version string will
	### include the VCS rev ID.
	def self::version_string( include_buildnum=false )
		vstring = "%s %s" % [ self.name, VERSION ]
		vstring << " (build %s)" % [ REVISION[/: ([[:xdigit:]]+)/, 1] || '0' ] if include_buildnum
		return vstring
	end

end # module Strelka::CMS


