#!/usr/bin/env ruby

require 'redcloth'

require 'strelka/cms/pagefilter' unless defined?( Strelka::CMS::PageFilter )

# An abstract base class for page filters in the LAIKA documentation system.
class Strelka::CMS::PageFilter::Textile < Strelka::CMS::PageFilter

	### Process the +page+'s source with the filter and return the altered content.
	def process( source, page )
		formatter = RedCloth::TextileDoc.new( source )
		formatter.hard_breaks = false
		formatter.no_span_caps = true

		return formatter.to_html
	end

end # class Strelka::CMS::PageFilter::Textile

